Skip to content
Docs

List Flex Blockchains

GET/v1/rpc_nodes/flex/blockchains

List all Flex Blockchains

Query ParametersExpand Collapse
cursor: optional string

Pagination cursor returned by a previous request

limit: optional number

Maximum number of items to return

maximum100
minimum10
ReturnsExpand Collapse
FlexBlockchainList object { items, pagination }
items: array of FlexBlockchain { blockchain, network }
blockchain: string

Blockchain type.

network: string

Network type (e.g., mainnet, testnet).

List Flex Blockchains

curl https://api.nirvanalabs.io/v1/rpc_nodes/flex/blockchains \
    -H "Authorization: Bearer $NIRVANA_LABS_API_KEY"
{
  "items": [
    {
      "blockchain": "ethereum",
      "network": "mainnet"
    }
  ],
  "pagination": {
    "next_cursor": "RhwniMT4B74siYZcPF8TnCdGI1l9rpPvg",
    "previous_cursor": "ARhwnmi1hA7wEbHbMjdYQlOB_ZusP4fYvw",
    "total_count": 125
  }
}
Returns Examples
{
  "items": [
    {
      "blockchain": "ethereum",
      "network": "mainnet"
    }
  ],
  "pagination": {
    "next_cursor": "RhwniMT4B74siYZcPF8TnCdGI1l9rpPvg",
    "previous_cursor": "ARhwnmi1hA7wEbHbMjdYQlOB_ZusP4fYvw",
    "total_count": 125
  }
}